"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonAdapter = void 0;
const json_stable_stringify_1 = __importDefault(require("json-stable-stringify"));
const utils_1 = require("../cli/utils");
const adapter_base_1 = require("./adapter-base");
class JsonAdapter extends adapter_base_1.AdapterBase {
    async doLoadFile(content) {
        const parsed = JSON.parse(content);
        return utils_1.ungroupTranslation(parsed);
    }
    async contentFor(translation) {
        const data = utils_1.toGroupedTranslation(translation);
        const content = json_stable_stringify_1.default(data, { space: '    ' });
        return content;
    }
}
exports.JsonAdapter = JsonAdapter;
//# sourceMappingURL=json.js.map