"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XliffAdapter = void 0;
const js2xliff_1 = __importDefault(require("xliff/js2xliff"));
const xliff2js_1 = __importDefault(require("xliff/xliff2js"));
const utils_1 = require("../cli/utils");
const adapter_base_1 = require("./adapter-base");
class XliffAdapter extends adapter_base_1.AdapterBase {
    async doLoadFile(content) {
        const parsed = await new Promise((res, rej) => xliff2js_1.default(content, (err, val) => err ? rej(err) : res(val)));
        return utils_1.ungroupTranslation(parsed);
    }
    async contentFor(translation) {
        const data = utils_1.toGroupedTranslation(translation);
        return await new Promise((res, rej) => js2xliff_1.default(data, async (err, result) => {
            if (err) {
                return rej(err);
            }
            try {
                res(result);
            }
            catch (e) {
                rej(e);
            }
        }));
    }
}
exports.XliffAdapter = XliffAdapter;
//# sourceMappingURL=xliff.js.map