"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLocaleCode = exports.ungroupTranslation = exports.toGroupedTranslation = exports.groupByNamespace = void 0;
function groupByNamespace(trans) {
    const result = {};
    for (let [id, v] of Object.entries(trans)) {
        let namespace = '$default';
        const i = id.indexOf('.');
        if (i > 0 && i < id.length - 2) {
            namespace = id.substr(0, i);
            id = id.substr(i + 1);
        }
        if (!result[namespace]) {
            result[namespace] = {};
        }
        result[namespace][id] = v;
    }
    return result;
}
exports.groupByNamespace = groupByNamespace;
function toGroupedTranslation(translation) {
    const data = {
        resources: groupByNamespace(translation.resources),
        sourceLanguage: translation.sourceLanguage,
        targetLanguage: translation.targetLanguage,
    };
    return data;
}
exports.toGroupedTranslation = toGroupedTranslation;
function ungroupTranslation(translation) {
    const result = {
        targetLanguage: translation.targetLanguage,
        sourceLanguage: translation.sourceLanguage,
        resources: {},
    };
    for (const [namespace, data] of Object.entries(translation.resources)) {
        for (const [id, val] of Object.entries(data)) {
            if (namespace === '$default') {
                result.resources[id] = val;
            }
            else {
                result.resources[`${namespace}.${id}`] = val;
            }
        }
    }
    return result;
}
exports.ungroupTranslation = ungroupTranslation;
function getLocaleCode(locale) {
    var _a;
    return locale && ((_a = /^[a-z]+/.exec(locale.toLowerCase())) === null || _a === void 0 ? void 0 : _a[0]);
}
exports.getLocaleCode = getLocaleCode;
//# sourceMappingURL=utils.js.map