import { SerializationContextOptions } from './smartloc';
import { TranslationOf, StorableOf } from './interfaces';
/**
 * Parse a JSON string where localized strings have been serialized in their non translated form
 */
export declare function jsonParseLocalized(value: string): any;
/**
 * Transforms an object that has been deserialized from a non translated from to an object that is translatable
 */
export declare function toLocalizable(value: any): any;
/**
 * Transforms an object so it can be stored with localized strings in their non translated form
 * @returns Either a new copy of your object, or your object (if had no smarloc strings in it)
 */
export declare function toJsonStorable<T>(value: T, options?: SerializationContextOptions): StorableOf<T>;
/** Translates an object to the given language */
export declare function translateObject<T>(locales: string | string[], object: T): TranslationOf<T>;
/** Translates an object according to the current context (call this when wrapped in withSerializationContext() or withLocales()) */
export declare function translateInContext(object: any): any;
