"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LiteralLocalizer = exports.setIsLoc = exports.isLocStr = void 0;
const moment_1 = __importDefault(require("moment"));
const locTag = Symbol('_localizable');
function isLocStr(data) {
    return data && typeof data === 'object' && data[locTag];
}
exports.isLocStr = isLocStr;
function setIsLoc(data) {
    data[locTag] = true;
    Object.freeze(data);
}
exports.setIsLoc = setIsLoc;
class LiteralLocalizer {
    constructor(locale) {
        this.locale = locale;
        this.numbers = new Intl.NumberFormat(locale.id);
    }
    localize(data) {
        if (typeof data === 'string') {
            return data;
        }
        if (typeof data === 'number') {
            return this.numbers.format(data);
        }
        if (data instanceof Date) {
            data = moment_1.default(data);
        }
        if (moment_1.default.isMoment(data)) {
            if (data.hour() || data.minute()) {
                return data.locale(this.locale.id).format('LLL');
            }
            return data.locale(this.locale.id).format('LL');
        }
        if (moment_1.default.isDuration(data)) {
            return data.locale(this.locale.id).humanize();
        }
        if (isLocStr(data)) {
            return data.toString(this.locale);
        }
        return checkNever(data);
    }
}
exports.LiteralLocalizer = LiteralLocalizer;
function checkNever(test) {
    return '';
}
//# sourceMappingURL=literal.js.map