import { ILocaleDef } from './interfaces';
/** Defines the locale used in code */
export declare function setDefaultLocale(localeId: string): void;
export declare function getDefaultLocale(): ILocaleDef;
/** Resets all locales */
export declare function clearLocales(): void;
/** Remove a locale */
export declare function removeLocale(id: string): void;
/**
 * Adds translations
 * @param id Locale ID (ex: 'en', or 'en-US')
 * @param localeDef Translations (string id as key, formatted string as values - ex : {myId: 'Translated {0} text {1}'})
 * @param merge If true, then the translations will be merged with already existing translations.
 */
export declare function addLocale(id: string, localeDef: {
    [id: string]: string;
}, merge?: boolean): void;
export declare function getLocale(id: string): ILocaleDef;
export declare function listLocales(): Generator<string, void, undefined>;
