"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Locale = void 0;
const literal_1 = require("./literal");
const utils_1 = require("../cli/utils");
class Locale {
    constructor(id, localeDef) {
        this.id = id;
        this.localeDef = localeDef;
        this.literals = new literal_1.LiteralLocalizer(this);
        this.code = utils_1.getLocaleCode(id);
    }
    localize(id, parts, placeholders) {
        const template = this.localeDef[id];
        if (!template) {
            return null;
        }
        const literals = placeholders === null || placeholders === void 0 ? void 0 : placeholders.map(x => this.literals.localize(x));
        return format(template, literals);
    }
}
exports.Locale = Locale;
function format(str, args) {
    if (!args || !args.length) {
        return str;
    }
    return str.replace(/{(\d+)}/g, function (match, number) {
        return typeof args[number] !== 'undefined'
            ? args[number]
            : match;
    });
}
;
//# sourceMappingURL=locale.js.map