"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocStringArray = void 0;
const smartloc_1 = require("./smartloc");
const literal_1 = require("./literal");
class JoinedString {
    constructor(strs, join) {
        this.strs = strs;
        this.join = join;
        literal_1.setIsLoc(this);
    }
    get id() {
        return undefined;
    }
    toString(locale) {
        return this.strs
            .map(x => x && (typeof x === 'string' ? x : x.toString(locale)))
            .join(this.join);
    }
    toJSON() {
        return this.toString();
    }
    transform(transformer) {
        return new smartloc_1.TransformedLoc(this, transformer);
    }
}
class LocStringArray {
    constructor(strs) {
        this.strs = strs;
    }
    toJSON() {
        return this.strs.map(x => x && (typeof x === 'string' ? x : x.toJSON()));
    }
    map(fn) {
        return new LocStringArray(this.strs.map(fn));
    }
    slice(start, end) {
        return new LocStringArray(this.strs.slice(start, end));
    }
    join(join) {
        return new JoinedString(this.strs, join);
    }
    toArray() {
        return [...this.strs];
    }
}
exports.LocStringArray = LocStringArray;
//# sourceMappingURL=locstr-array.js.map