export interface SmartlocExpressOptions {
    /**  (optional) Waits for this promise before performing a translation. This might be for instance the promise that waits all locales to be declared via addLocale() loaded */
    waitFor?: Promise<any>;
    /** Custom resolution (will fall back on accept-language if this function does not return anything) */
    customLocaleResolver?: (req: any) => string | string[] | null | undefined | Promise<string | string[] | null | undefined>;
    /** Error logger (gives a chance to log resolution errors) */
    errorLogger?: (err: any) => void;
}
/**
 * Express middleware that will translate calls to .send(), .json() (etc...) based on the Accept-Language request header.
 */
export default function (options?: SmartlocExpressOptions): (req: any, res: any, next: any) => void;
