import { GraphQLSchema } from 'graphql';
import express from 'express';
export declare const GLocString: any;
export declare function localizeSchema(schema: GraphQLSchema): any;
export interface ExpressContext {
    req: express.Request;
    res: express.Response;
}
export declare type Context<T = object> = T;
export declare type ContextFunction<FunctionParams = any, ProducedContext = object> = (context: FunctionParams) => Context<ProducedContext> | Promise<Context<ProducedContext>>;
export declare function localizedContext(context: ContextFunction<ExpressContext, Context>): ContextFunction<ExpressContext, Context>;
export declare function localizedContextObject<T>(ctx: T, locales: string[]): T;
